## rsymphony 0.1

=== DESCRIPTION ===
Package: Rsymphony
Version: 0.1-33
Title: SYMPHONY in R
Description: An R interface to the SYMPHONY solver for mixed-integer linear programs.
Authors@R: c(person("Reinhard", "Harter", role = "aut"),
             person("Kurt", "Hornik", role = c("aut", "cre"),
                    email = "Kurt.Hornik@R-project.org",
                    comment = c(ORCID = "0000-0003-4198-9911")),
             person("Stefan", "Theussl", role = "aut"),
             person("Cyrille", "Szymanski", role = "ctb",
                    email = "cnszym@gmail.com"),
             person("Florian", "Schwendinger", role = "ctb"))
License: EPL
Depends: R (>= 2.6.0)
Enhances: slam, Matrix, SparseM
SystemRequirements: SYMPHONY libraries and headers
URL: https://R-Forge.R-project.org/projects/rsymphony,
        https://projects.coin-or.org/SYMPHONY,
        https://www.coin-or.org/download/source/SYMPHONY/
NeedsCompilation: yes
Packaged: 2021-12-28 15:42:47 UTC; hornik
Author: Reinhard Harter [aut],
  Kurt Hornik [aut, cre] (<https://orcid.org/0000-0003-4198-9911>),
  Stefan Theussl [aut],
  Cyrille Szymanski [ctb],
  Florian Schwendinger [ctb]
Maintainer: Kurt Hornik <Kurt.Hornik@R-project.org>
Repository: CRAN
Date/Publication: 2021-12-28 15:52:02 UTC

=== src/SYMPHONY/SYMPHONY/Examples/FLOPC++/Makefile ===
##############################################################################
##############################################################################
#                                                                            #
# This file is part of the SYMPHONY MILP Solver Framework.                   #
#                                                                            #
# SYMPHONY was jointly developed by Ted Ralphs (tkralphs@lehigh.edu) and     #
# Laci Ladanyi (ladanyi@us.ibm.com).                                         #
#                                                                            #
# (c) Copyright 2005-2007,  Lehigh University. All Rights Reserved.          #
#                                                                            #
# This software is licensed under the Common Public License. Please see      #
# accompanying file for terms.                                               #
#                                                                            #
# The author of this file is Menal Guzelsoy (megb@lehigh.edu)                #
#                                                                            #
##############################################################################
##############################################################################

CoinDir  := $(HOME)/COIN
SymDir  := $(CoinDir)/SYMPHONY
FlopcDir := $(CoinDir)/flopc
#LPSolverDir :=$(HOME)/OSL/osllib

CXX     =  g++

## Chose optimization level
CXXFLAGS += -O

##############################################################################
IncDir	:= $(FlopcDir)/include 
IncDir	+= $(CoinDir)/include 
IncDir	+= $(SymDir)/include 
#IncDir += $(LPSolverDir)/include

SHLINKPREFIX = -Wl,-rpath,

CXXFLAGS += $(addprefix -I,${IncDir})

LIBDIRS := $(CoinDir)/lib
LIBDIRS += $(FlopcDir)/lib
LIBDIRS += $(SymDir)/lib
#LIBDIRS += $(LPSolverDir)/lib

LDFLAGS := $(addprefix -L,$(LIBDIRS))
LDFLAGS += $(addprefix $(SHLINKPREFIX),$(LIBDIRS))

LIBS 	+= -lOsiSym
LIBS 	+= -lsym
LIBS	+= -lflopc
LIBS 	+= -lOsi
LIBS 	+= -lOsiClp
LIBS 	+= -lClp
#LIBS 	+= -lOsiOsl
#LIBS 	+= -losl
LIBS 	+= -lCoin
LIBS 	+= -lCgl
#LIBS 	+= -lgz

LDFLAGS	+= $(LIBS)

###############################################################################

.DELETE_ON_ERROR:

.PHONY: default

default: all

###############################################################################

all :	tap

clean:	
	@rm tap
###############################################################################

## rsymphony 0.1-29

=== debian/changelog ===
rsymphony (0.1-29-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Dec 2020 18:07:49 -0600

rsymphony (0.1-28-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/compat: Increase level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 07 Nov 2017 21:01:52 -0600

rsymphony (0.1-27-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 15 Jul 2017 08:09:19 -0500

rsymphony (0.1-26-2) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 Jun 2017 17:32:10 -0500

rsymphony (0.1-26-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Add ${misc:Depends} to Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Feb 2017 21:39:36 -0600

rsymphony (0.1-25-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 31 Dec 2016 12:30:27 -0600

rsymphony (0.1-24-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 16 Dec 2016 21:17:36 -0600

rsymphony (0.1-23-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 31 Aug 2016 16:24:22 -0500

rsymphony (0.1-22-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 Apr 2016 12:15:44 -0500

rsymphony (0.1-21-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 27 Jun 2015 07:16:24 -0500

rsymphony (0.1-20-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 May 2015 16:47:39 -0500

rsymphony (0.1-19-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Feb 2015 06:44:46 -0600

rsymphony (0.1-18-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Added 'coinor-libcgl-dev' to Build-Depends: so that
    package now builds using Debian libraries for CoinOR + Symphony
 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 10 Jan 2015 08:48:43 -0600

rsymphony (0.1-17-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Nov 2013 14:43:30 -0600

rsymphony (0.1-16-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Jun 2013 09:19:57 -0500

rsymphony (0.1-15-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Mar 2013 10:34:20 -0500

rsymphony (0.1-15-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 24 Dec 2012 14:09:31 -0600

rsymphony (0.1-14-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Jan 2012 16:18:23 -0600

rsymphony (0.1-12-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Added 'coinor-libsymphony-dev' to Build-Depends
    as upstream sources can now make uses of the Debian package
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 Oct 2010 09:22:39 -0500

rsymphony (0.1-11-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Jul 2010 13:43:49 -0500

rsymphony (0.1-9-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Nov 2009 14:17:18 -0600

rsymphony (0.1-9-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.2

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Jun 2009 16:59:09 -0500

rsymphony (0.1-8-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #524644)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Apr 2009 11:58:51 -0500

=== debian/control ===
Source: rsymphony
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r, coinor-libsymphony-dev, coinor-libcgl-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rsymphony
Vcs-Git: https://salsa.debian.org/edd/r-cran-rsymphony.git
Homepage: https://cran.r-project.org/package=Rsymphony

Package: r-cran-rsymphony
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Suggests: r-cran-runit
Description: GNU R interface to the SYMPHONY MILP solver
 Rsymphony provides an interface from GNU R to the SYMPHONY mixed
 integer linear programming (MILP) solver. More information about
 SYMPHONY is at http://www.coin-or.org/SYMPHONY/

## rsymphony 0.1-30

=== debian/changelog ===
rsymphony (0.1-30-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 20 Mar 2021 08:35:55 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r, coinor-libsymphony-dev, coinor-libcgl-dev
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r, coinor-libsymphony-dev, coinor-libcgl-dev
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rsymphony
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rsymphony.git

## rsymphony 0.1-33

=== debian/changelog ===
rsymphony (0.1-33-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Dec 2021 11:22:52 -0600

rsymphony (0.1-32-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Dec 2021 09:32:09 -0600

rsymphony (0.1-31-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Aug 2021 13:55:53 -0500

rsymphony (0.1-31-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Apr 2021 09:48:12 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r, coinor-libsymphony-dev, coinor-libcgl-dev
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, coinor-libsymphony-dev, coinor-libcgl-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rsymphony
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rsymphony.git
 Homepage: https://cran.r-project.org/package=Rsymphony

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux rsymphony package
# Copyright 2003-2020 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/Rsymphony_([-\d\.]*)\.tar.gz
